<%@ Page debug="True" ContentType="image/gif" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="System.Data.SqlClient" %>
<%@ Import namespace="System.Drawing" %>
<%@ Import namespace="System.Drawing.Imaging" %>

<Script Runat="Server">

Const ImageWidth As Integer = 800
Const ImageHeight As Integer = 500

Sub Page_Load
  Dim conNorthwind As SqlConnection
  Dim dadSelect As SqlDataAdapter
  Dim dstProducts As DataSet
  Dim dtblProducts As DataTable
  Dim drowRow As DataRow
  Dim decMaxValue As Decimal
  Dim intRowCounter As Integer
  Dim decXScale, decYScale As Decimal
  Dim decPrevX, decPrevY As Decimal
  Dim objBitmap As Bitmap
  Dim objGraphics As Graphics

  ' Retrieve Products Table
  conNorthwind = New SqlConnection( "Server=localhost;UID=sa;PWD=secret;database=Northwind" )
  dadSelect = New SqlDataAdapter( "Select UnitPrice From Products", conNorthwind )
  dstProducts = New DataSet
  dadSelect.Fill( dstProducts )

  ' Find Maximum Value  
  dtblProducts = dstProducts.Tables( 0 )
  For each drowRow in dtblProducts.Rows
    If drowRow( "UnitPrice" ) > decMaxValue Then
      decMaxValue = drowRow( "UnitPrice" )
    End If
  Next
  decXScale = ImageWidth / ( dtblProducts.Rows.Count - 1 )
  decYScale = ImageHeight / decMaxValue

  ' Create Bitmap
  objBitmap = New Bitmap( ImageWidth, ImageHeight )

  ' Initialize Graphics Class
  objGraphics = Graphics.FromImage( objBitmap )


  For intRowCounter = 0 to dtblProducts.Rows.Count - 1
    drowRow = dtblProducts.Rows( intRowCounter )
    objGraphics.DrawLine( _
          Pens.Blue, _
          decPrevX, _
          decPrevY, _
          intRowCounter * decXScale, _
          ImageHeight - ( drowRow( "UnitPrice" ) * decYScale ) )
    decPrevX = intRowCounter * decXScale
    decPrevY = ImageHeight - ( drowRow( "UnitPrice" ) * decYScale )
  Next

  ' Display Bitmap
  objBitmap.Save( Response.OutputStream, ImageFormat.Gif )
End Sub

</Script>
